﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Editors.Primitives;

namespace xamCalendar_setColorToDay
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent(); 
            
            
            
        }
    }

    public class Converter4e : IValueConverter
    {
        Brush NormalDaysBrush = Brushes.Red;
        Brush LTDaysBrush = new SolidColorBrush(Colors.OrangeRed);
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            LTDaysBrush.Opacity = 0.1;

            bool isLeading = (bool)(value as CalendarDay).IsLeadingOrTrailingItem;

          

            if (((DateTime)((value as CalendarDay).StartDate)).DayOfWeek == DayOfWeek.Sunday)
            {
                if (isLeading)
                {
                    return LTDaysBrush;
                }

                return NormalDaysBrush;
            }

            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }


    public class Converter : IMultiValueConverter
    {
        Brush NormalDaysBrush = Brushes.BlueViolet;
        Brush LTDaysBrush = new SolidColorBrush(Colors.BlueViolet);

        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            LTDaysBrush.Opacity = 0.1;

            if (((DateTime)(values[0])).DayOfYear == 124)
            {
                if ((bool)values[1])
                {
                    return LTDaysBrush;
                }

                return NormalDaysBrush;
            }
            return values;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }


}
